﻿<?php
require('config.inc.php');
require_login();

require('header.inc.php');
?>
<link rel="stylesheet" href="css/prettify.css" />
<script src="js/prettify.js"></script>
<script src="js/matrix.js"></script>
<div class="container">
	<div class="jumbotron">
		<p>欢迎使用脚本控制系统</p>
	</div>
	<div>
		<p>脚本控制基于javascript，可以实现切换、场景保存、场景调用等功能。支持变量及函数如下：</p>
	</div>
	<table class="table">
		<thead>
			<tr>
				<th>类型</th>
				<th>名称</th>
				<th>描述</th>
				<th width="50%">示例</th>
				<th width="160px"></th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td>函数</td>
				<td>mx_log</td>
				<td>打印日志</td>
				<td>
<pre id="e0" class="prettyprint lang-javascript">
mx_log('hello world!');
</pre>
				</td>
				<td><button id="runs" value="e0" type="button" class="btn btn-primary">Run</button></td>
			</tr>
			<tr>
				<td>变量</td>
				<td>mx_port</td>
				<td>端口数量</td>
				<td>
<pre id="e1" class="prettyprint lang-javascript">
var str = '端口数量：' + mx_port;
mx_log(str);
</pre>
				</td>
				<td><button id="runs" value="e1" type="button" class="btn btn-primary">Run</button></td>
			</tr>
			<tr>
				<td>变量</td>
				<td>mx_scene</td>
				<td>场景数量</td>
				<td>
<pre id="e2" class="prettyprint lang-javascript">
var str = '场景数量：' + mx_scene;
mx_log(str);
</pre>
				</td>
				<td><button id="runs" value="e2" type="button" class="btn btn-primary">Run</button></td>
			</tr>
			<tr>
				<td>变量</td>
				<td>mx_stop</td>
				<td>是否停止运行</td>
				<td>
<pre id="e3" class="prettyprint lang-javascript">
var timer = self.setInterval(demo, 1000);
function demo()
{
	if(mx_stop)
	{
		window.clearInterval(timer);
		return;
	}
	mx_log('I am running.');
}
</pre>
				</td>
				<td>
					<button id="runs" value="e3" type="button" class="btn btn-primary">Run</button>
					<button id="stops" type="button" class="btn btn-danger">Stop</button>
				</td>
			</tr>
			<tr>
				<td>函数</td>
				<td>mx_cmd</td>
				<td>控制命令，第一个参数为命令，之后为该命令的参数，不同命令参数个数不同。命令包括：
					o2o/o2ox/o2a/o2n/a2a/a2n/load/save
				</td>
				<td>
<pre id="e4" class="prettyprint lang-javascript">
//每隔1秒，轮流切换输入通道到所有输出通道
var i = 0;
function auto_switch()
{
	if(mx_stop)
	{
		window.clearInterval(timer);
		return;
	}
	
	mx_log((i+1) + " to all");
	mx_cmd("o2a",i);
	i++;
	if(i >= mx_port)
		i = 0;
}
var timer = self.setInterval(auto_switch, 1000);
</pre>
				</td>
				<td>
					<button id="runs" value="e4" type="button" class="btn btn-primary">Run</button>
					<button id="stops" type="button" class="btn btn-danger">Stop</button>
				</td>
			</tr>
		</tbody>
	</table>
	<textarea id="log" rows="12" readonly></textarea>
</div>
<script type="text/javascript">
//$('#nav_script').attr('class', 'active');

$(window).load(function(){
	prettyPrint();
})

$('button#runs').click(function()
{
	mx_stop = 0;
	eval($('pre#' + $(this).val()).text());
});

$('button#stops').click(function()
{
	mx_stop = 1;
});

$('button[name=btn_run]').bind("click", function()
{
	eval($('textarea[name=code]').val());
});

prettyPrint();
</script>
<?php require('footer.inc.php'); ?>
