﻿<?php
require('config.inc.php');
require_login('admin');

if(isset($_POST['more']))
{
	$baudrate = $_POST['more_baudrate'];
	$language = $_POST['more_language'];
	
	$baud = array("300", "600", "1200", "2400", "4800", "9600", "19200", "38400", "57600", "76800", "96000", "115200", "230400");
	if(!in_array($baudrate, $baud))
		$baudrate = "115200";
	
	$lang = array("zh", "en");
	if(!in_array($language, $lang))
		$language = "en";

	$setup['baudrate'] = $baudrate;
	$setup['language'] = $language;
	
	$content = "[system]\n";
	foreach ($setup as $key => $elem)
		$content .= "$key=$elem\n";
	file_put_contents($str_file_setup, $content);
}

if(isset($_POST['mfb']))
{
	//file_put_contents($str_file_mfb_code, $_POST["mfb_code"]);
	//var_dump($_POST);
	$str = "";
	for($i=0;$i<40;$i++)
	{
		$str .= "mfb_name[$i]=\"" . $_POST['mfb_name'][$i] . "\";\r\n";
		$str .= "mfb_code[$i]=\"" . $_POST['mfb_code'][$i] . "\";\r\n";
		$str .= "mfb_uart[$i]=" . $_POST["mfb_uart$i"] . ";\r\n";
		$str .= "mfb_baud[$i]=" . $_POST["mfb_baud"][$i] . ";\r\n";
	}
	file_put_contents($str_file_mfb_code, $str);
}

if(isset($_POST['ethernet']))
{
	$eth0 = get_eth0();
	$eth0["ADDRESS"] = $_POST["ip1"];
	$eth0["NETMASK"] = $_POST["subnet1"];
	$eth0["GATEWAY"] = $_POST["gateway1"];
	set_eth0($eth0);
	
	$eth1 = get_eth1();
	$eth1["ADDRESS"] = $_POST["ip2"];
	$eth1["NETMASK"] = $_POST["subnet2"];
	$eth1["GATEWAY"] = $_POST["gateway2"];
	set_eth1($eth1);
}

if(isset($_POST['admin']))
{
	$admin_password = $_POST["admin_password"];
	$user_password = $_POST["user_password"];
	$user_login = $_POST["user_login"];
	password_change($admin_password, $user_password, $user_login);
}

$user = parse_ini_file($str_file_users);
if(!isset($user['user_login']))
	$user['user_login'] = "";

if(isset($_GET['confirm']))
{
	system("reboot");
	header("location: " . php_filename());
}

$eth0 = get_eth0();
$eth1 = get_eth1();

require('header.inc.php');
?>

<script type="text/javascript">
$('#nav_setup').attr('class', 'active');
</script>

<!--
<div class="container">
  <h2>System</h2>
  <button class="btn btn-danger" data-toggle="modal" data-target="#mod_system">reboot system</button>
  
	<h2>Ethernet</h2>
	<button class="btn btn-primary" data-toggle="modal" data-target="#mod_eth">Change Setup</button>

	<h2>Administrator</h2>
	<button class="btn btn-primary" data-toggle="modal" data-target="#mod_admin">Change Setup</button>
</div>
-->

<div id="mod_system" classx="modal fade" tabindex="-1" role="dialog" aria-labelledby="mod_system_label" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				<h4 class="modal-title" id="mod_system_label"><?php echo $zh ? "系统" : "System";?></h4>
			</div>
			<div class="modal-body">
<?php echo $zh ? "重启系统" : "System will reboot";?>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo $zh ? "关闭" : "Close";?></button>
        <button type="button" class="btn btn-danger" id="btn_reboot"><?php echo $zh ? "重启" : "Reboot";?></button>
			</div>
		</div>
	</div>
</div>

<div id="mod_eth" classx="modal fade" tabindex="-1" role="dialog" aria-labelledby="mod_eth_label" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				<h4 class="modal-title" id="mod_eth_label"><?php echo $zh ? "以太网" : "Ethernet";?></h4>
			</div>
			<div class="modal-body">
				<form name="form_ethernet" action="" method="post">
					<input name="ethernet" type="hidden" value="1">
					<table class="table">
						<tbody>
							<tr>
								<td style="border: solid; border-width: 0 0 0 0;"><?php echo $zh ? "IP地址" : "IP";?> 1</td>
								<td style="border: solid; border-width: 0 0 0 0;">
									<input name="ip1" type="text" value="<?=$eth0["ADDRESS"]?>" maxlength="15" />
								</td>
							</tr>
							<tr>
								<td style="border: solid; border-width: 0 0 0 0;"><?php echo $zh ? "子网掩码" : "Subnet";?> 1</td>
								<td style="border: solid; border-width: 0 0 0 0;">
									<input name="subnet1" type="text" value="<?=$eth0["NETMASK"]?>" maxlength="15" />
								</td>
							</tr>
							<tr>
								<td style="border: solid; border-width: 0 0 0 0;"><?php echo $zh ? "默认网关" : "Gateway";?> 1</td>
								<td style="border: solid; border-width: 0 0 0 0;">
									<input name="gateway1" type="text" value="<?=$eth0["GATEWAY"]?>" maxlength="15" />
								</td>
							</tr>
							<tr>
								<td style="border: solid; border-width: 0 0 0 0;"><?php echo $zh ? "IP地址" : "IP";?> 2</td>
								<td style="border: solid; border-width: 0 0 0 0;">
									<input name="ip2" type="text" value="<?=$eth1["ADDRESS"]?>" maxlength="15" />
								</td>
							</tr>
							<tr>
								<td style="border: solid; border-width: 0 0 0 0;"><?php echo $zh ? "子网掩码" : "Subnet";?> 2</td>
								<td style="border: solid; border-width: 0 0 0 0;">
									<input name="subnet2" type="text" value="<?=$eth1["NETMASK"]?>" maxlength="15" />
								</td>
							</tr>
							<tr>
								<td style="border: solid; border-width: 0 0 0 0;"><?php echo $zh ? "默认网关" : "Gateway";?> 2</td>
								<td style="border: solid; border-width: 0 0 0 0;">
									<input name="gateway2" type="text" value="<?=$eth1["GATEWAY"]?>" maxlength="15" />
								</td>
							</tr>
						</tbody>
					</table>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo $zh ? "关闭" : "Close";?></button>
				<button type="button" id="btn_eth_default" class="btn btn-primary"><?php echo $zh ? "默认" : "Default";?></button>
				<button type="button" id="btn_eth_load" class="btn btn-primary"><?php echo $zh ? "载入" : "Reload";?></button>
				<button type="button" id="btn_eth_save" class="btn btn-danger"><?php echo $zh ? "保存" : "Save";?></button>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
$('button[id=btn_eth_save]').bind("click", function()
{
	//window.location.reload();
	var ret;
	
	ret = chkIP($('input[name=ip1]').val());
	if(ret < 1 || ret > 8)
	{
		$('input[name=ip1]').focus();
		return false;
	}
	ret = chkIP($('input[name=subnet1]').val());
	if(ret < 11 || ret > 13)
	{
		$('input[name=subnet1]').focus();
		return false;
	}
	ret = chkIP($('input[name=gateway1]').val());
	if(ret < 1 || ret > 8)
	{
		$('input[name=gateway1]').focus();
		return false;
	}
	
	ret = chkIP($('input[name=ip2]').val());
	if(ret < 1 || ret > 8)
	{
		$('input[name=ip2]').focus();
		return false;
	}
	ret = chkIP($('input[name=subnet2]').val());
	if(ret < 11 || ret > 13)
	{
		$('input[name=subnet2]').focus();
		return false;
	}
	ret = chkIP($('input[name=gateway2]').val());
	if(ret < 1 || ret > 8)
	{
		$('input[name=gateway2]').focus();
		return false;
	}
	$('form[name=form_ethernet]').submit();
});

$('button[id=btn_eth_default]').bind("click", function()
{
	$('input[name=ip1]').val('192.168.0.80');
	$('input[name=subnet1]').val('255.255.255.0');
	$('input[name=gateway1]').val('192.168.0.1');
	$('input[name=ip2]').val('192.168.1.80');
	$('input[name=subnet2]').val('255.255.255.0');
	$('input[name=gateway2]').val('192.168.1.1');
});

$('button[id=btn_eth_load]').bind("click", function()
{
	window.location.reload();
});

$('button[id=btn_reboot]').bind("click", function()
{
	window.location.href = "<?=php_filename() . "?confirm=1" ?>";
});

function chkIP(ipStr)
{
	//参数格式校验 成功继续,失败返回-1
	ipStr = ipStr.replace(/\s/g,"");
	var reg = /^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/;
	if(reg.test(ipStr) == false){
		return -1;
	}
	//ip地址合法性校验 成功继续 ,失败返回-2
	var arr = ipStr.split(".");
	for(var i=0;i<4;i++){
		arr[i] = parseInt(arr[i],10);
		if(parseInt(arr[i],10) > 255)
		return -2;
	}
	var ip = arr.join(".");
	//返回IP地址的类型 包括:
	//异常:0 A类:1 B类:2 C类:3 D类:4 E类:5 A类私有:6 B类私有:7 C类私有:8 本机IP:9 广播地址:10
	//A类子网掩码:11 B类子网掩码:12 C类子网掩码:13
	var retVal = 0;
	var n = arr[0];

	/*if(ip == "255.255.255.255")retVal = 10;
	else if(ip == "255.255.255.0" ) retVal = 13;
	else if(ip == "255.255.0.0") retVal = 12;
	else if(ip == "255.0.0.0") retVal = 11;*/
	if(arr[0]==255)
	{
		if(arr[1]==255)
		{
			if(arr[2]==255)
			{
				if(arr[3]==255)
					retVal = 10;
				else
					retVal = 13;
			}
			else
				retVal = 12;
		}
		else
			retVal = 11;
	}
	else if(ip == "0.0.0.0" || ip == "127.0.0.1") retVal = 9;
	else if(n <= 126)retVal = (n == 10 ? 6 : 1);
	else if(n <= 191)retVal = (n == 172 ? 7 : 2);
	else if(n <= 223)retVal = (n == 192 ? 8 : 3);
	else if(n <= 239)retVal = 4;
	else if(n <= 255)retVal = 5;
	else ;
	return retVal;
}
</script>

<div id="mod_admin" classx="modal fade" tabindex="-1" role="dialog" aria-labelledby="mod_admin_label" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				<h4 class="modal-title" id="mod_admin_label"><?php echo $zh ? "管理用户" : "Users";?></h4>
			</div>
			<div class="modal-body">
				<form name="form_admin" action="" method="post">
				<input name="admin" type="hidden" value="1">
				<table width="100%">
				<tr>
				<td>
					<p><?php echo $zh ? "管理员" : "Administrator";?></p>
					<p>
						<?php echo $zh ? "用户名" : "Username";?> : <input name="admin_username" type="text" value="admin" maxlength="16" readonly />
					</p>
					<p>
						<?php echo $zh ? "密码" : "Password";?> : <input name="admin_password" type="password" value="" maxlength="16" />
					</p>
					<p>
						<?php echo $zh ? "密码" : "Password";?> : <input name="admin_password1" type="password" value="" maxlength="16" />
					</p>
				</td>
				<td>
					<p>
						<?php echo $zh ? "普通用户" : "User";?> 
						<input type="checkbox" name="user_login" value="1" <?=$user['user_login']=="1" ? "checked" : "";?> />
					</p>
					<p>
						<?php echo $zh ? "用户名" : "Username";?> : <input name="user_username" type="text" value="user" maxlength="16" readonly />
					</p>
					<p>
						<?php echo $zh ? "密码" : "Password";?> : <input name="user_password" type="password" value="" maxlength="16" />
					</p>
					<p>
						<?php echo $zh ? "密码" : "Password";?> : <input name="user_password1" type="password" value="" maxlength="16" />
					</p>
				</td>
				</tr>
				</table>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo $zh ? "关闭" : "Close";?></button>
				<button id="btn_admin_default" type="button" class="btn btn-primary"><?php echo $zh ? "默认" : "Default";?></button>
				<button id="btn_admin_save" type="button" class="btn btn-danger"><?php echo $zh ? "保存" : "Save";?></button>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
$('button[id=btn_admin_default]').bind("click", function()
{
	$('input[name=admin_username]').val("admin");
	$('input[name=admin_password]').val("admin");
	$('input[name=admin_password1]').val("admin");
	$('input[name=user_username]').val("user");
	$('input[name=user_password]').val("user");
	$('input[name=user_password1]').val("user");
});

$('button[id=btn_admin_save]').bind("click", function()
{
	if($('input[name=admin_password]').val() != $('input[name=admin_password1]').val())
		return false;
	if($('input[name=user_password]').val() != $('input[name=user_password1]').val())
		return false;
	if($('input[name=admin_username]').val() == "")
		return false;
	if($('input[name=user_username]').val() == "")
		return false;
	$('form[name=form_admin]').submit();
});
</script>

<div id="mod_more" classx="modal fade" tabindex="-1" role="dialog" aria-labelledby="mod_more_label" aria-hidden="true">
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				<h4 class="modal-title" id="mod_more_label"><?php echo $zh ? "更多设置" : "More";?></h4>
			</div>
			<div class="modal-body sw_tab_x">
				<form name="form_more" action="" method="post">
					<input name="more" type="hidden" value="1">
					<p>
						<?php echo $zh ? "语言" : "Language";?> : <input type="radio" id="more_language" name="more_language" value="en" <?=$setup['language']=="en" ? "checked" : "";?> /> English <input type="radio" id="more_language" name="more_language" value="zh" <?=$setup['language']=="zh" ? "checked" : "";?> /> Chinese
					</p>
					<p>
						<?php echo $zh ? "波特率" : "baudrate";?> : <input type="text" id="more_baudrate" name="more_baudrate" value="<?=$setup['baudrate']?>" /> 
					</p>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo $zh ? "关闭" : "Close";?></button>
				<button type="button" id="btn_more_default" class="btn btn-primary"><?php echo $zh ? "默认" : "Default";?></button>
				<button type="button" id="btn_more_load" class="btn btn-primary"><?php echo $zh ? "载入" : "Reload";?></button>
				<button type="button" id="btn_more_save" class="btn btn-danger"><?php echo $zh ? "保存" : "Save";?></button>
			</div>
		</div>
	</div>
</div>

<div id="mod_mfb" classx="modal fade" tabindex="-1" role="dialog" aria-labelledby="mod_mfb_label" aria-hidden="true" <?=($mfb ? "" : "hidden") ?>>
	<div class="modal-dialog">
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				<h4 class="modal-title" id="mod_mfb_label"><?php echo $zh ? "多功能按钮" : "Multifunction Buttons";?></h4>
			</div>
			<div class="modal-body sw_tab_x">
				<form name="form_mfb" action="" method="post">
					<input name="mfb" type="hidden" value="1">
					<p><p>
					01: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart0" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart0" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					02: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart1" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart1" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					03: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart2" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart2" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					04: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart3" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart3" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					05: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart4" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart4" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					06: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart5" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart5" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					07: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart6" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart6" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					08: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart7" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart7" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					09: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart8" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart8" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					10: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart9" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart9" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					11: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart10" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart10" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					12: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart11" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart11" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					13: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart12" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart12" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					14: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart13" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart13" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					15: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart14" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart14" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					16: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart15" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart15" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					17: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart16" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart16" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					18: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart17" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart17" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					19: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart18" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart18" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					20: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart19" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart19" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					21: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart20" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart20" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					22: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart21" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart21" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					23: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart22" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart22" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					24: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart23" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart23" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					25: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart24" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart24" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					26: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart25" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart25" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					27: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart26" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart26" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					28: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart27" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart27" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					29: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart28" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart28" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					30: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart29" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart29" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					31: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart30" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart30" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					32: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart31" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart31" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					33: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart32" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart32" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					34: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart33" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart33" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					35: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart34" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart34" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					36: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart35" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart35" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					37: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart36" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart36" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					38: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart37" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart37" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					39: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart38" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart38" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
					40: 
					<input id="mfb_name" name="mfb_name[]" type="text" maxlength="16" style="width:140px" />
					<input id="mfb_code" name="mfb_code[]" type="text" maxlength="256" style="width:260px" />
					<input id="mfb_uart" name="mfb_uart39" type="radio" value="1" checked /> 1
					<input id="mfb_uart" name="mfb_uart39" type="radio" value="2" /> 2
					<input id="mfb_baud" name="mfb_baud[]" type="text" maxlength="6" style="width:60px" />
					<p>
				</form>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo $zh ? "关闭" : "Close";?></button>
				<button type="button" id="btn_mfb_default" class="btn btn-primary"><?php echo $zh ? "默认" : "Default";?></button>
				<button type="button" id="btn_mfb_load" class="btn btn-primary"><?php echo $zh ? "载入" : "Reload";?></button>
				<button type="button" id="btn_mfb_save" class="btn btn-danger"><?php echo $zh ? "保存" : "Save";?></button>
			</div>
		</div>
	</div>
</div>

<script src="js/mfb_default.js"></script>
<script src="js/mfb_code.js?rand=<?=rand()?>"></script>
<script type="text/javascript">
var i = 0;
for(i=0;i<40;i++)
{
	$('input[id=mfb_name]')[i].value = mfb_name[i];
	$('input[id=mfb_code]')[i].value = mfb_code[i];
	$('input[id=mfb_uart]')[i*2+mfb_uart[i]-1].checked = true;
	$('input[id=mfb_baud]')[i].value = mfb_baud[i];
}

$('button[id=btn_mfb_default]').bind("click", function()
{
	var i = 0;
	for(i=0;i<40;i++)
	{
		$('input[id=mfb_name]')[i].value = "Button " + (i+1);
		$('input[id=mfb_code]')[i].value = "";
		$('input[id=mfb_uart]')[i*2].checked = true;
		$('input[id=mfb_baud]')[i].value = "9600";
	}
	$('input[id=mfb_code]')[0].value = "A53E7B01AAAAAA0102AAAAF0";
});

$('button[id=btn_mfb_load]').bind("click", function()
{
	window.location.reload();
});

$('button[id=btn_mfb_save]').bind("click", function()
{
	$('form[name=form_mfb]').submit();
});

$('button[id=btn_more_default]').bind("click", function()
{
	$('input[id=more_language]')[0].checked = true;
	$('input[id=more_baudrate]')[0].value = "115200";
});

$('button[id=btn_more_load]').bind("click", function()
{
	window.location.reload();
});

$('button[id=btn_more_save]').bind("click", function()
{
	$('form[name=form_more]').submit();
});
</script>


<?php require('footer.inc.php'); ?>
